ServerEvents.recipes(event => {

  let quarklogs = [
    "ancient",
    "azalea",
    "blossom"
  ];

  quarklogs.forEach(type => {
    event.custom({
      type: "sawmill:woodcutting",
      ingredient: {
        item: `#quark:${type}_logs`
      },
      result: {
        item: `quark:${type}_planks`,
        count: 4
      }
    });
  });

  let aquaticlogs = [
    "driftwood",
    "river"
  ];

  aquaticlogs.forEach(type => {
    event.custom({
      type: "sawmill:woodcutting",
      ingredient: {
        item: `#upgrade_aquatic:${type}_logs`
      },
      result: {
        item: `upgrade_aquatic:${type}_planks`,
        count: 4
      }
    });
  });

  let vanlogs = [
    "acacia",
    "birch",
    "cherry",
    "dark_oak",
    "jungle",
    "mangrove",
    "oak",
    "spruce"
  ];

  vanlogs.forEach(type => {
    event.custom({
      type: "sawmill:woodcutting",
      ingredient: {
        item: `#minecraft:${type}_logs`
      },
      result: {
        item: `minecraft:${type}_planks`,
        count: 4
      }
    });
  });

  let vanistems = [
    "crimson",
    "warped"
  ];

  vanistems.forEach(type => {
    event.custom({
      type: "sawmill:woodcutting",
      ingredient: {
        item: `#minecraft:${type}_stems`
      },
      result: {
        item: `minecraft:${type}_planks`,
        count: 4
      }
    });
  });

  let envlogs = [
    "wisteria",
    "plum"
  ];

  envlogs.forEach(type => {
    event.custom({
      type: "sawmill:woodcutting",
      ingredient: {
        item: `#environmental:${type}_logs`
      },
      result: {
        item: `environmental:${type}_planks`,
        count: 4
      }
    });
  });

  let windlogs = [
    "holly",
    "chestnut",
    "pine"
  ];

  windlogs.forEach(type => {
    event.custom({
      type: "sawmill:woodcutting",
      ingredient: {
        item: `#windswept:${type}_logs`
      },
      result: {
        item: `windswept:${type}_planks`,
        count: 4
      }
    });
  });

  event.custom({
    type: "sawmill:woodcutting",
    ingredient: {
      item: `#snifferplus:stone_pine_logs`
    },
    result: {
      item: `snifferplus:stone_pine_planks`,
      count: 4
    }
  });

  let rulogs = [
    "baobab",
    "blackwood",
    "brimwood",
    "cobalt",
    "cypress",
    "dead",
    "eucalyptus",
    "joshua",
    "kapok",
    "larch",
    "maple",
    "mauve",
    "palm",
    "pine",
    "redwood",
    "socotra",
    "willow"
  ];

  rulogs.forEach(type => {
    event.custom({
      type: "sawmill:woodcutting",
      ingredient: {
        item: `#regions_unexplored:${type}_logs`
      },
      result: {
        item: `regions_unexplored:${type}_planks`,
        count: 4
      }
    });
  });

  event.custom({
    type: "sawmill:woodcutting",
    ingredient: {
      item: `#regions_unexplored:magnolia_logs_item`
    },
    result: {
      item: `regions_unexplored:magnolia_planks`,
      count: 4
    }
  });
})